Uploaded image for project: 'Apache Taverna'
  1. Apache Taverna
  2. TAVERNA-933

Upgrade dependency of Jackson to 2.7.0

    XMLWordPrintableJSON

    Details

      Description

      We use the JSON library Jackson 2.3.3, but the latest version is 2.7.0

      Upgrading Jackson should check their changelog for API changes, as Jackson is part of
      SCUFL2 APIs Configurable - and also in Taverna Engine's ExecutionEnvironment

      Can we assume Semantic Versioning ? If so we should be fine.

      Also I believe the json-ld library used by Jena for read/write of JSON-LD depends on Jackson.

      Generally I think the unit tests should uncover any issues, but it's worth also checking the command line launcher after upgrading to see it also works fine within OSGi.

        Attachments

          Activity

            People

            • Assignee:
              stain Stian Soiland-Reyes
              Reporter:
              stain Stian Soiland-Reyes
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: